import wepy from 'wepy'
import http from '../utils/http';

export default class apiMixin extends wepy.mixin {
  async $clienLogin() {
    let wxData = await wepy.login();
    console.log('wx.login: ', wxData);
    let account = wepy.getStorageSync('account');
    let data = {
      account_id: account.account_id,
      session_id: account.session_id,
      open_id: account.openid,
      unionid: account.unionid,
      code: wxData.code,
    };
    let res = await http.post('/api/emulated/user_login', data);
    wepy.setStorageSync('mp_token', res.token);
  }
  $isClientLogin() {
    return !!wepy.getStorageSync('mp_token');
  }
}
